com.trendmicro.ds.platform.rest.object.cloud

## Class AddAwsAccountResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.cloud.AddAwsAccountResponse

-     public class AddAwsAccountResponse
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddAwsAccountResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAwsAccountAlias()`
    `java.lang.String` | `getAwsAccountId()`
    `java.lang.Integer` | `getInternalId()`
    `void` | `setAwsAccountAlias(java.lang.String awsAccountAlias)`
    `void` | `setAwsAccountId(java.lang.String awsAccountId)`
    `void` | `setInternalId(java.lang.Integer internalId)`
    `AddAwsAccountResponse` | `withAwsAccountAlias(java.lang.String awsAccountAlias)`
    `AddAwsAccountResponse` | `withAwsAccountId(java.lang.String awsAccountId)`
    `AddAwsAccountResponse` | `withInternalId(java.lang.Integer internalId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddAwsAccountResponse

          public AddAwsAccountResponse()

  - ### Method Detail

    - #### getAwsAccountId

          public java.lang.String getAwsAccountId()

    - #### setAwsAccountId

          public void setAwsAccountId(java.lang.String awsAccountId)

    - #### getInternalId

          public java.lang.Integer getInternalId()

    - #### setInternalId

          public void setInternalId(java.lang.Integer internalId)

    - #### getAwsAccountAlias

          public java.lang.String getAwsAccountAlias()

    - #### setAwsAccountAlias

          public void setAwsAccountAlias(java.lang.String awsAccountAlias)

    - #### withAwsAccountId

          public AddAwsAccountResponse withAwsAccountId(java.lang.String awsAccountId)

    - #### withInternalId

          public AddAwsAccountResponse withInternalId(java.lang.Integer internalId)

    - #### withAwsAccountAlias

          public AddAwsAccountResponse withAwsAccountAlias(java.lang.String awsAccountAlias)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.